Bug 1956917 (CVE-2018-25009) - CVE-2018-25009 libwebp: out-of-bounds read in WebPMuxCreateInternal
Summary: CVE-2018-25009 libwebp: out-of-bounds read in WebPMuxCreateInternal
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-25009
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1961979 1962004 1962005 1961605 1961606 1961978
Blocks: 1940150 1956995
TreeView+ depends on / blocked
 
Reported: 2021-05-04 16:28 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-17 21:21 UTC (History)
9 users (show)

Fixed In Version: libwebp 1.0.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in libwebp. An out-of-bounds read was found in function WebPMuxCreateInternal. The highest threat from this vulnerability is to data confidentiality and to the service availability.
Clone Of:
Environment:
Last Closed: 2021-11-10 01:52:50 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4231 0 None None None 2021-11-09 17:50:28 UTC

Description Guilherme de Almeida Suckevicz 2021-05-04 16:28:19 UTC
A heap-based buffer overflow was found in libwebp in versions before 1.0.1 in GetLE16().

Reference:
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=9100

Comment 7 errata-xmlrpc 2021-11-09 17:50:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4231 https://access.redhat.com/errata/RHSA-2021:4231

Comment 8 Product Security DevOps Team 2021-11-10 01:52:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-25009


Note You need to log in before you can comment on or make changes to this bug.